Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
2to3
96
B
-rwxr-xr-x
2020-08-22 10:03
2to3-2.7
96
B
-rwxr-xr-x
2020-08-22 10:03
2to3-3.5
96
B
-rwxr-xr-x
2020-11-18 21:09
[
50.79
KB
-rwxr-xr-x
2017-02-22 12:23
ab
50.18
KB
-rwxr-xr-x
2019-10-13 15:43
addpart
22.53
KB
-rwxr-xr-x
2018-03-07 18:29
apropos
46.98
KB
-rwxr-xr-x
2016-12-13 13:10
apt
14.09
KB
-rwxr-xr-x
2020-12-07 12:45
apt-cache
78.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-cdrom
22.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-config
22.09
KB
-rwxr-xr-x
2020-12-07 12:45
apt-extracttemplates
22.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-ftparchive
238.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-get
42.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-key
25.65
KB
-rwxr-xr-x
2020-12-07 12:45
apt-listchanges
8.88
KB
-rwxr-xr-x
2017-04-10 21:14
apt-mark
42.16
KB
-rwxr-xr-x
2020-12-07 12:45
apt-sortpkgs
38.09
KB
-rwxr-xr-x
2020-12-07 12:45
arch
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
aria_chk
4.76
MB
-rwxr-xr-x
2021-01-31 16:38
aria_dump_log
4.56
MB
-rwxr-xr-x
2021-01-31 16:38
aria_ftdump
4.58
MB
-rwxr-xr-x
2021-01-31 16:38
aria_pack
4.6
MB
-rwxr-xr-x
2021-01-31 16:38
aria_read_log
4.72
MB
-rwxr-xr-x
2021-01-31 16:38
awk
646.72
KB
-rwxr-xr-x
2017-01-25 16:06
b2sum
54.88
KB
-rwxr-xr-x
2017-02-22 12:23
base32
38.79
KB
-rwxr-xr-x
2017-02-22 12:23
base64
38.79
KB
-rwxr-xr-x
2017-02-22 12:23
basename
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
bashbug
6.95
KB
-rwxr-xr-x
2017-05-15 19:45
bootctl
38.41
KB
-rwxr-xr-x
2019-07-21 18:43
bsd-from
10.3
KB
-rwxr-xr-x
2017-04-12 11:22
bsd-write
14.42
KB
-rwxr-sr-x
2017-04-12 11:22
buildhash
38.38
KB
-rwxr-xr-x
2016-03-04 07:59
busctl
62.43
KB
-rwxr-xr-x
2019-07-21 18:43
c2ph
35.89
KB
-rwxr-xr-x
2020-06-20 17:33
c_rehash
6.18
KB
-rwxr-xr-x
2020-12-11 09:22
cal
29.21
KB
-rwxr-xr-x
2017-04-12 11:22
calendar
31.24
KB
-rwxr-xr-x
2017-04-12 11:22
captoinfo
78.11
KB
-rwxr-xr-x
2017-12-28 09:47
catchsegv
3.22
KB
-rwxr-xr-x
2019-02-06 21:17
catman
34.46
KB
-rwxr-xr-x
2016-12-13 13:10
certbot
385
B
-rwxr-xr-x
2020-09-26 18:25
chage
70.17
KB
-rwxr-sr-x
2017-05-17 11:59
chardet3
309
B
-rwxr-xr-x
2016-02-10 10:46
chardetect3
309
B
-rwxr-xr-x
2016-02-10 10:46
chattr
14
KB
-rwxr-xr-x
2020-07-25 09:03
chcon
63.01
KB
-rwxr-xr-x
2017-02-22 12:23
checkgid
5.99
KB
-rwxr-xr-x
2019-10-13 15:43
chfn
48.87
KB
-rwsr-xr-x
2017-05-17 11:59
chrt
30.76
KB
-rwxr-xr-x
2018-03-07 18:29
chsh
39.55
KB
-rwsr-xr-x
2017-05-17 11:59
cifsiostat
30.13
KB
-rwxr-xr-x
2017-05-25 20:26
ckbcomp
146.32
KB
-rwxr-xr-x
2017-04-07 03:55
cksum
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
clear
5.99
KB
-rwxr-xr-x
2017-12-28 09:47
clear_console
10.3
KB
-rwxr-xr-x
2017-05-15 19:45
cmp
42.74
KB
-rwxr-xr-x
2017-01-09 22:55
codepage
10.27
KB
-rwxr-xr-x
2016-01-05 16:55
col
10.29
KB
-rwxr-xr-x
2017-04-12 11:22
colcrt
10.26
KB
-rwxr-xr-x
2017-04-12 11:22
colrm
10.25
KB
-rwxr-xr-x
2017-04-12 11:22
column
14.41
KB
-rwxr-xr-x
2017-04-12 11:22
comm
38.79
KB
-rwxr-xr-x
2017-02-22 12:23
compose
17.74
KB
-rwxr-xr-x
2016-05-01 11:20
corelist
12.53
KB
-rwxr-xr-x
2020-06-20 17:33
cpan
7.41
KB
-rwxr-xr-x
2020-06-20 17:33
cpan5.24-x86_64-linux-gnu
7.43
KB
-rwxr-xr-x
2020-06-20 17:33
crontab
39.32
KB
-rwxr-sr-x
2017-10-07 13:38
csplit
46.95
KB
-rwxr-xr-x
2017-02-22 12:23
ctstat
18.8
KB
-rwxr-xr-x
2017-11-24 09:22
curl
194.07
KB
-rwxr-xr-x
2020-12-17 19:12
cut
42.85
KB
-rwxr-xr-x
2017-02-22 12:23
dbilogstrip
1.35
KB
-rwxr-xr-x
2020-09-21 15:33
dbiprof
6.06
KB
-rwxr-xr-x
2020-09-21 15:33
dbiproxy
5.27
KB
-rwxr-xr-x
2020-09-21 15:33
dbus-cleanup-sockets
9.98
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-daemon
218.95
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-monitor
21.99
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-run-session
9.98
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-send
25.98
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-update-activation-environment
13.98
KB
-rwxr-xr-x
2020-07-02 19:36
dbus-uuidgen
9.98
KB
-rwxr-xr-x
2020-07-02 19:36
deallocvt
10.38
KB
-rwxr-xr-x
2016-01-05 16:55
deb-systemd-helper
19.67
KB
-rwxr-xr-x
2017-05-02 10:20
deb-systemd-invoke
4.4
KB
-rwxr-xr-x
2017-05-02 10:20
debconf
2.79
KB
-rwxr-xr-x
2017-05-21 17:08
debconf-apt-progress
11.27
KB
-rwxr-xr-x
2017-05-21 17:08
debconf-communicate
608
B
-rwxr-xr-x
2017-05-21 17:08
debconf-copydb
1.68
KB
-rwxr-xr-x
2017-05-21 17:08
debconf-escape
647
B
-rwxr-xr-x
2017-05-21 17:08
debconf-set-selections
2.87
KB
-rwxr-xr-x
2017-05-21 17:08
debconf-show
1.78
KB
-rwxr-xr-x
2017-05-21 17:08
defmt-c
5.99
KB
-rwxr-xr-x
2016-03-04 07:59
defmt-sh
5.99
KB
-rwxr-xr-x
2016-03-04 07:59
delpart
22.53
KB
-rwxr-xr-x
2018-03-07 18:29
dh_bash-completion
2.49
KB
-rwxr-xr-x
2015-08-18 19:47
dh_installxmlcatalogs
9.22
KB
-rwxr-xr-x
2016-11-07 14:53
dh_perl_dbi
1.04
KB
-rwxr-xr-x
2020-09-21 15:33
dh_pypy
12.56
KB
-rwxr-xr-x
2017-01-25 14:47
dh_python2
1.03
KB
-rwxr-xr-x
2017-01-24 13:00
dh_python3
12.77
KB
-rwxr-xr-x
2017-01-25 14:47
diff
143.38
KB
-rwxr-xr-x
2017-01-09 22:55
diff3
58.95
KB
-rwxr-xr-x
2017-01-09 22:55
dircolors
42.77
KB
-rwxr-xr-x
2017-02-22 12:23
dirname
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
discover-config
2.86
KB
-rwxr-xr-x
2018-02-26 19:38
dotlockfile
18.56
KB
-rwxr-sr-x
2017-01-17 13:05
dpkg
286.5
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-deb
146.34
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-divert
138.41
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-maintscript-helper
18.58
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-query
146.4
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-split
114.34
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-statoverride
70.25
KB
-rwxr-xr-x
2018-06-26 10:28
dpkg-trigger
66.26
KB
-rwxr-xr-x
2018-06-26 10:28
du
103.16
KB
-rwxr-xr-x
2017-02-22 12:23
dumpkeys
162.98
KB
-rwxr-xr-x
2016-01-05 16:55
dvipdf
1023
B
-rwxr-xr-x
2020-08-20 14:04
easy_install3
404
B
-rwxr-xr-x
2017-01-19 17:02
edit
17.74
KB
-rwxr-xr-x
2016-05-01 11:20
editor
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
enc2xs
40.21
KB
-rwxr-xr-x
2020-06-20 17:33
encguess
2.99
KB
-rwxr-xr-x
2020-06-20 17:33
env
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
envsubst
34.7
KB
-rwxr-xr-x
2019-08-30 23:30
eps2eps
639
B
-rwxr-xr-x
2020-08-20 14:04
eqn
185.19
KB
-rwxr-xr-x
2016-12-13 13:06
ex
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
expand
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
expiry
22.27
KB
-rwxr-sr-x
2017-05-17 11:59
expr
42.82
KB
-rwxr-xr-x
2017-02-22 12:23
factor
74.88
KB
-rwxr-xr-x
2017-02-22 12:23
faillog
18.29
KB
-rwxr-xr-x
2017-05-17 11:59
fallocate
26.64
KB
-rwxr-xr-x
2018-03-07 18:29
fcgistarter
9.99
KB
-rwxr-xr-x
2019-10-13 15:43
filan
83.85
KB
-rwxr-xr-x
2017-07-14 13:52
file
22.26
KB
-rwxr-xr-x
2019-10-22 20:20
file-rename
3.1
KB
-rwxr-xr-x
2015-06-04 22:55
find
216.57
KB
-rwxr-xr-x
2017-02-18 15:37
findaffix
11.74
KB
-rwxr-xr-x
2016-03-04 07:59
flock
26.79
KB
-rwxr-xr-x
2018-03-07 18:29
fmt
38.79
KB
-rwxr-xr-x
2017-02-22 12:23
fold
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
free
18.08
KB
-rwxr-xr-x
2018-05-17 10:56
from
10.3
KB
-rwxr-xr-x
2017-04-12 11:22
futurize
384
B
-rwxr-xr-x
2016-09-23 17:38
galera_new_cluster
888
B
-rwxr-xr-x
2021-01-31 16:38
galera_recovery
3.28
KB
-rwxr-xr-x
2021-01-31 16:38
gawk
646.72
KB
-rwxr-xr-x
2017-01-25 16:06
geqn
185.19
KB
-rwxr-xr-x
2016-12-13 13:06
getconf
22.37
KB
-rwxr-xr-x
2019-02-06 21:17
getent
23.31
KB
-rwxr-xr-x
2019-02-06 21:17
getkeycodes
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
getopt
14.49
KB
-rwxr-xr-x
2018-03-07 18:29
gettext
34.68
KB
-rwxr-xr-x
2019-08-30 23:30
gettext.sh
4.52
KB
-rwxr-xr-x
2019-08-30 23:30
ghostscript
10.24
KB
-rwxr-xr-x
2020-08-20 14:04
gpasswd
74.02
KB
-rwsr-xr-x
2017-05-17 11:59
gpg
977.35
KB
-rwxr-xr-x
2019-02-07 20:57
gpg-agent
376.63
KB
-rwxr-xr-x
2019-02-07 20:57
gpg-connect-agent
150.73
KB
-rwxr-xr-x
2019-02-07 20:57
gpg-zip
3.36
KB
-rwxr-xr-x
2019-02-07 20:57
gpgconf
157.41
KB
-rwxr-xr-x
2019-02-07 20:57
gpgparsemail
26.07
KB
-rwxr-xr-x
2019-02-07 20:57
gpgsplit
74.33
KB
-rwxr-xr-x
2019-02-07 20:57
gpgv
410.64
KB
-rwxr-xr-x
2019-02-07 20:57
gpic
196.03
KB
-rwxr-xr-x
2016-12-13 13:06
groff
101.31
KB
-rwxr-xr-x
2016-12-13 13:06
grog
2.71
KB
-rwxr-xr-x
2016-12-13 13:06
grops
161.72
KB
-rwxr-xr-x
2016-12-13 13:06
grotty
117.34
KB
-rwxr-xr-x
2016-12-13 13:06
groups
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
grub-editenv
236.97
KB
-rwxr-xr-x
2019-06-12 11:20
grub-file
660.64
KB
-rwxr-xr-x
2019-06-12 11:20
grub-fstest
786.75
KB
-rwxr-xr-x
2019-06-12 11:20
grub-glue-efi
232.81
KB
-rwxr-xr-x
2019-06-12 11:20
grub-kbdcomp
1.64
KB
-rwxr-xr-x
2019-06-12 11:20
grub-menulst2cfg
216.83
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkfont
261.47
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkimage
325.88
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mklayout
241.09
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mknetdir
366.55
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkpasswd-pbkdf2
241.16
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkrelpath
232.5
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkrescue
819.39
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkstandalone
442.88
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mount
605.28
KB
-rwxr-xr-x
2019-06-12 11:20
grub-ntldr-img
34.45
KB
-rwxr-xr-x
2019-06-12 11:20
grub-render-label
673.23
KB
-rwxr-xr-x
2019-06-12 11:20
grub-script-check
260.63
KB
-rwxr-xr-x
2019-06-12 11:20
grub-syslinux2cfg
621.75
KB
-rwxr-xr-x
2019-06-12 11:20
gs
10.24
KB
-rwxr-xr-x
2020-08-20 14:04
gsbj
350
B
-rwxr-xr-x
2020-08-20 14:04
gsdj
352
B
-rwxr-xr-x
2020-08-20 14:04
gsdj500
352
B
-rwxr-xr-x
2020-08-20 14:04
gslj
353
B
-rwxr-xr-x
2020-08-20 14:04
gslp
350
B
-rwxr-xr-x
2020-08-20 14:04
gsnd
277
B
-rwxr-xr-x
2020-08-20 14:04
gtbl
118.2
KB
-rwxr-xr-x
2016-12-13 13:06
h2ph
28.52
KB
-rwxr-xr-x
2020-06-20 17:33
h2xs
59.39
KB
-rwxr-xr-x
2020-06-20 17:33
hd
26.61
KB
-rwxr-xr-x
2017-04-12 11:22
head
42.82
KB
-rwxr-xr-x
2017-02-22 12:23
helpztags
2.46
KB
-rwxr-xr-x
2019-06-21 04:10
hexdump
26.61
KB
-rwxr-xr-x
2017-04-12 11:22
host
114.45
KB
-rwxr-xr-x
2020-08-26 18:03
hostid
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
hostnamectl
18.34
KB
-rwxr-xr-x
2019-07-21 18:43
htcacheclean
30
KB
-rwxr-xr-x
2019-10-13 15:43
htdbm
17.99
KB
-rwxr-xr-x
2019-10-13 15:43
htdigest
9.99
KB
-rwxr-xr-x
2019-10-13 15:43
htpasswd
17.99
KB
-rwxr-xr-x
2019-10-13 15:43
i386
18.73
KB
-rwxr-xr-x
2018-03-07 18:29
icombine
34.38
KB
-rwxr-xr-x
2016-03-04 07:59
iconv
55.01
KB
-rwxr-xr-x
2019-02-06 21:17
id
42.91
KB
-rwxr-xr-x
2017-02-22 12:23
igawk
3.11
KB
-rwxr-xr-x
2017-01-25 16:06
ijoin
14.1
KB
-rwxr-xr-x
2016-03-04 07:59
infocmp
58.07
KB
-rwxr-xr-x
2017-12-28 09:47
infotocap
78.11
KB
-rwxr-xr-x
2017-12-28 09:47
innochecksum
3.42
MB
-rwxr-xr-x
2021-01-31 16:38
innotop
445.81
KB
-rwxr-xr-x
2020-10-12 17:40
install
135.61
KB
-rwxr-xr-x
2017-02-22 12:23
instmodsh
4.27
KB
-rwxr-xr-x
2020-06-20 17:33
ionice
26.66
KB
-rwxr-xr-x
2018-03-07 18:29
iostat
42.13
KB
-rwxr-xr-x
2017-05-25 20:26
ipcmk
26.77
KB
-rwxr-xr-x
2018-03-07 18:29
ipcrm
26.63
KB
-rwxr-xr-x
2018-03-07 18:29
ipcs
50.79
KB
-rwxr-xr-x
2018-03-07 18:29
iptables-xml
92.74
KB
-rwxr-xr-x
2017-04-12 09:41
ischroot
10.3
KB
-rwxr-xr-x
2017-04-02 17:10
ispell
94.46
KB
-rwxr-xr-x
2016-03-04 07:59
ispell-wrapper
7.05
KB
-rwxr-xr-x
2016-10-10 09:58
join
46.85
KB
-rwxr-xr-x
2017-02-22 12:23
json_pp
3.86
KB
-rwxr-xr-x
2020-06-20 17:33
kbdinfo
10.38
KB
-rwxr-xr-x
2016-01-05 16:55
kbxutil
154.63
KB
-rwxr-xr-x
2019-02-07 20:57
kernel-install
3.91
KB
-rwxr-xr-x
2019-07-21 18:43
killall
23.68
KB
-rwxr-xr-x
2015-08-17 13:18
last
42.85
KB
-rwxr-xr-x
2018-03-07 18:29
lastb
42.85
KB
-rwxr-xr-x
2018-03-07 18:29
lastlog
18.07
KB
-rwxr-xr-x
2017-05-17 11:59
lcf
7.6
KB
-rwxr-xr-x
2016-03-16 20:58
ldd
5.27
KB
-rwxr-xr-x
2019-02-06 21:17
less
161.82
KB
-rwxr-xr-x
2016-02-28 11:28
lessecho
10.02
KB
-rwxr-xr-x
2016-02-28 11:28
lessfile
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
lesskey
19.36
KB
-rwxr-xr-x
2016-02-28 11:28
lesspipe
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
letsencrypt
385
B
-rwxr-xr-x
2020-09-26 18:25
lexgrog
90.57
KB
-rwxr-xr-x
2016-12-13 13:10
lft
2.43
KB
-rwxr-xr-x
2016-08-29 15:45
lft.db
2.43
KB
-rwxr-xr-x
2016-08-29 15:45
libnetcfg
15.39
KB
-rwxr-xr-x
2020-06-20 17:33
line
10.4
KB
-rwxr-xr-x
2018-03-07 18:29
link
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
linux-boot-prober
1.54
KB
-rwxr-xr-x
2017-01-20 15:28
linux-check-removal
3.99
KB
-rwxr-xr-x
2016-06-21 02:48
linux-update-symlinks
6.17
KB
-rwxr-xr-x
2016-06-05 01:13
linux-version
2.63
KB
-rwxr-xr-x
2015-08-11 15:45
linux32
18.73
KB
-rwxr-xr-x
2018-03-07 18:29
linux64
18.73
KB
-rwxr-xr-x
2018-03-07 18:29
lnstat
18.8
KB
-rwxr-xr-x
2017-11-24 09:22
loadkeys
199.46
KB
-rwxr-xr-x
2016-01-05 16:55
loadunimap
26.68
KB
-rwxr-xr-x
2016-01-05 16:55
locale
37.91
KB
-rwxr-xr-x
2019-02-06 21:17
localectl
26.41
KB
-rwxr-xr-x
2019-07-21 18:43
localedef
295.69
KB
-rwxr-xr-x
2019-02-06 21:17
logger
43.43
KB
-rwxr-xr-x
2018-03-07 18:29
logname
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
logresolve
10
KB
-rwxr-xr-x
2019-10-13 15:43
look
10.33
KB
-rwxr-xr-x
2017-04-12 11:22
lorder
2.78
KB
-rwxr-xr-x
2017-04-12 11:22
lsattr
10
KB
-rwxr-xr-x
2020-07-25 09:03
lsb_release
3.55
KB
-rwxr-xr-x
2015-08-26 09:44
lscpu
63.2
KB
-rwxr-xr-x
2018-03-07 18:29
lsinitramfs
625
B
-rwxr-xr-x
2017-03-06 22:42
lsipc
71.12
KB
-rwxr-xr-x
2018-03-07 18:29
lslocks
35.16
KB
-rwxr-xr-x
2018-03-07 18:29
lslogins
59.27
KB
-rwxr-xr-x
2018-03-07 18:29
lsns
38.87
KB
-rwxr-xr-x
2018-03-07 18:29
lsof
159.31
KB
-rwxr-xr-x
2015-09-13 21:46
lspci
80.31
KB
-rwxr-xr-x
2016-11-30 06:53
lspgpot
1.06
KB
-rwxr-xr-x
2014-06-25 16:17
lzcat
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
lzcmp
6.48
KB
-rwxr-xr-x
2016-10-08 13:11
lzdiff
6.48
KB
-rwxr-xr-x
2016-10-08 13:11
lzegrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
lzfgrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
lzgrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
lzless
1.76
KB
-rwxr-xr-x
2016-10-08 13:11
lzma
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
lzmainfo
10.38
KB
-rwxr-xr-x
2016-10-08 13:11
lzmore
2.11
KB
-rwxr-xr-x
2016-10-08 13:11
man
104.5
KB
-rwxr-xr-x
2016-12-13 13:10
mandb
126.72
KB
-rwxr-xr-x
2016-12-13 13:10
manpath
30.47
KB
-rwxr-xr-x
2016-12-13 13:10
mapscrn
18.65
KB
-rwxr-xr-x
2016-01-05 16:55
mariabackup
17.34
MB
-rwxr-xr-x
2021-01-31 16:38
mariadb
4.12
MB
-rwxr-xr-x
2021-01-31 16:38
mariadb-service-convert
2.43
KB
-rwxr-xr-x
2021-01-31 16:38
mariadbcheck
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mawk
119.12
KB
-rwxr-xr-x
2012-03-23 20:15
mbstream
3.4
MB
-rwxr-xr-x
2021-01-31 16:38
mcookie
30.79
KB
-rwxr-xr-x
2018-03-07 18:29
md5sum
42.85
KB
-rwxr-xr-x
2017-02-22 12:23
md5sum.textutils
42.85
KB
-rwxr-xr-x
2017-02-22 12:23
mesg
10.45
KB
-rwxr-xr-x
2018-03-07 18:29
migrate-pubring-from-classic-gpg
2.14
KB
-rwxr-xr-x
2018-10-03 00:58
mk_modmap
15.78
KB
-rwxr-xr-x
2016-01-05 16:55
mkfifo
63.04
KB
-rwxr-xr-x
2017-02-22 12:23
mkpasswd
18.57
KB
-rwxr-xr-x
2017-07-27 15:45
mpstat
38.15
KB
-rwxr-xr-x
2017-05-25 20:26
msql2mysql
1.41
KB
-rwxr-xr-x
2021-01-31 16:38
mtr
84.72
KB
-rwsr-xr-x
2017-01-02 18:20
munchlist
31.23
KB
-rwxr-xr-x
2016-03-04 07:59
my_print_defaults
3.39
MB
-rwxr-xr-x
2021-01-31 16:38
myisam_ftdump
3.75
MB
-rwxr-xr-x
2021-01-31 16:38
myisamchk
3.87
MB
-rwxr-xr-x
2021-01-31 16:38
myisamlog
3.73
MB
-rwxr-xr-x
2021-01-31 16:38
myisampack
3.77
MB
-rwxr-xr-x
2021-01-31 16:38
mysql
4.12
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_convert_table_format
4.12
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_embedded
16.03
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_find_rows
3.21
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_fix_extensions
1.22
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_install_db
19.15
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_plugin
3.39
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_secure_installation
12.23
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_setpermission
17.07
KB
-rwxr-xr-x
2021-01-31 16:38
mysql_tzinfo_to_sql
3.39
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_upgrade
3.47
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_waitpid
3.38
MB
-rwxr-xr-x
2021-01-31 16:38
mysql_zap
3.77
KB
-rwxr-xr-x
2021-01-31 16:38
mysqlaccess
109.33
KB
-rwxr-xr-x
2021-01-31 16:38
mysqladmin
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlanalyze
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlbinlog
4.08
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlcheck
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mysqld_multi
23.84
KB
-rwxr-xr-x
2021-01-31 16:38
mysqld_safe
30.79
KB
-rwxr-xr-x
2021-01-31 16:38
mysqld_safe_helper
3.35
MB
-rwxr-xr-x
2021-01-31 16:38
mysqldump
3.99
MB
-rwxr-xr-x
2021-01-31 16:38
mysqldumpslow
8.05
KB
-rwxr-xr-x
2021-01-31 16:38
mysqlhotcopy
34.12
KB
-rwxr-xr-x
2021-01-31 16:38
mysqlimport
3.9
MB
-rwxr-xr-x
2021-01-31 16:38
mysqloptimize
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlrepair
3.91
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlreport
50.03
KB
-rwxr-xr-x
2020-10-12 17:40
mysqlshow
3.9
MB
-rwxr-xr-x
2021-01-31 16:38
mysqlslap
3.92
MB
-rwxr-xr-x
2021-01-31 16:38
mytop
63.3
KB
-rwxr-xr-x
2021-01-31 16:38
namei
26.66
KB
-rwxr-xr-x
2018-03-07 18:29
nawk
646.72
KB
-rwxr-xr-x
2017-01-25 16:06
ncal
29.21
KB
-rwxr-xr-x
2017-04-12 11:22
neqn
908
B
-rwxr-xr-x
2016-12-13 13:06
newgrp
39.37
KB
-rwsr-xr-x
2017-05-17 11:59
ngettext
34.7
KB
-rwxr-xr-x
2019-08-30 23:30
nice
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
nl
38.91
KB
-rwxr-xr-x
2017-02-22 12:23
nohup
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
nproc
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
nroff
3.25
KB
-rwxr-xr-x
2016-12-13 13:06
nsenter
30.95
KB
-rwxr-xr-x
2018-03-07 18:29
nstat
22.67
KB
-rwxr-xr-x
2017-11-24 09:22
numfmt
58.91
KB
-rwxr-xr-x
2017-02-22 12:23
od
66.91
KB
-rwxr-xr-x
2017-02-22 12:23
on_ac_power
2.2
KB
-rwxr-xr-x
2009-12-02 08:57
openssl
639.48
KB
-rwxr-xr-x
2020-12-11 09:22
os-prober
4.44
KB
-rwxr-xr-x
2017-01-31 03:56
pager
161.82
KB
-rwxr-xr-x
2016-02-28 11:28
paperconf
10.34
KB
-rwxr-xr-x
2016-11-11 11:28
partx
83.63
KB
-rwxr-xr-x
2018-03-07 18:29
passwd
58.28
KB
-rwsr-xr-x
2017-05-17 11:59
paste
34.79
KB
-rwxr-xr-x
2017-02-22 12:23
pasteurize
388
B
-rwxr-xr-x
2016-09-23 17:38
pathchk
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
pbr
152
B
-rwxr-xr-x
2016-09-21 14:14
pcimodules
14.59
KB
-rwxr-xr-x
2016-11-30 06:53
pdb
45.02
KB
-rwxr-xr-x
2020-08-22 10:03
pdb2.7
45.02
KB
-rwxr-xr-x
2020-08-22 10:03
pdb3
59.7
KB
-rwxr-xr-x
2020-11-18 21:09
pdb3.5
59.7
KB
-rwxr-xr-x
2020-11-18 21:09
pdf2dsc
698
B
-rwxr-xr-x
2020-08-20 14:04
pdf2ps
909
B
-rwxr-xr-x
2020-08-20 14:04
peekfd
10.52
KB
-rwxr-xr-x
2015-08-17 13:18
perf
528
B
-rwxr-xr-x
2016-09-16 23:34
perl
1.93
MB
-rwxr-xr-x
2020-06-20 17:33
perl5.24-x86_64-linux-gnu
10.24
KB
-rwxr-xr-x
2020-06-20 17:33
perl5.24.1
1.93
MB
-rwxr-xr-x
2020-06-20 17:33
perlbug
44.46
KB
-rwxr-xr-x
2020-06-20 17:33
perldoc
125
B
-rwxr-xr-x
2020-06-20 17:33
perlivp
10.61
KB
-rwxr-xr-x
2020-06-20 17:33
perlthanks
44.46
KB
-rwxr-xr-x
2020-06-20 17:33
perror
3.54
MB
-rwxr-xr-x
2021-01-31 16:38
pf2afm
498
B
-rwxr-xr-x
2020-08-20 14:04
pfbtopfa
516
B
-rwxr-xr-x
2020-08-20 14:04
pg
38.89
KB
-rwxr-xr-x
2018-03-07 18:29
pgrep
26.09
KB
-rwxr-xr-x
2018-05-17 10:56
phar
14.54
KB
-rwxr-xr-x
2021-02-12 14:49
phar.phar
14.54
KB
-rwxr-xr-x
2021-02-12 14:49
phar.phar7.0
14.48
KB
-rwxr-xr-x
2020-10-06 17:08
phar.phar7.4
14.54
KB
-rwxr-xr-x
2021-02-12 14:49
phar7.0
14.48
KB
-rwxr-xr-x
2020-10-06 17:08
phar7.4
14.54
KB
-rwxr-xr-x
2021-02-12 14:49
phar7.4.phar
14.54
KB
-rwxr-xr-x
2021-02-12 14:49
php
4.46
MB
-rwxr-xr-x
2021-02-12 14:49
php7.0
4.19
MB
-rwxr-xr-x
2020-10-06 17:08
php7.4
4.46
MB
-rwxr-xr-x
2021-02-12 14:49
pic
196.03
KB
-rwxr-xr-x
2016-12-13 13:06
pico
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
piconv
8.16
KB
-rwxr-xr-x
2020-06-20 17:33
pidstat
54.15
KB
-rwxr-xr-x
2017-05-25 20:26
pinentry
54.46
KB
-rwxr-xr-x
2017-02-06 08:56
pinentry-curses
54.46
KB
-rwxr-xr-x
2017-02-06 08:56
pinky
38.95
KB
-rwxr-xr-x
2017-02-22 12:23
pkill
26.09
KB
-rwxr-xr-x
2018-05-17 10:56
pl2pm
4.42
KB
-rwxr-xr-x
2020-06-20 17:33
pldd
14.57
KB
-rwxr-xr-x
2019-02-06 21:17
pmap
30.09
KB
-rwxr-xr-x
2018-05-17 10:56
pod2html
4.04
KB
-rwxr-xr-x
2020-06-20 17:33
pod2man
13.84
KB
-rwxr-xr-x
2020-06-20 17:33
pod2text
10.72
KB
-rwxr-xr-x
2020-06-20 17:33
pod2usage
3.86
KB
-rwxr-xr-x
2020-06-20 17:33
podchecker
3.61
KB
-rwxr-xr-x
2020-06-20 17:33
podselect
2.47
KB
-rwxr-xr-x
2020-06-20 17:33
pphs
404
B
-rwxr-xr-x
2020-08-20 14:04
pr
75.01
KB
-rwxr-xr-x
2017-02-22 12:23
preconv
42.2
KB
-rwxr-xr-x
2016-12-13 13:06
prename
3.13
KB
-rwxr-xr-x
2020-06-20 17:33
print
17.74
KB
-rwxr-xr-x
2016-05-01 11:20
printafm
395
B
-rwxr-xr-x
2020-08-20 14:04
printenv
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
printerbanner
18.28
KB
-rwxr-xr-x
2017-04-12 11:22
printf
50.79
KB
-rwxr-xr-x
2017-02-22 12:23
prlimit
31.38
KB
-rwxr-xr-x
2018-03-07 18:29
procan
71.74
KB
-rwxr-xr-x
2017-07-14 13:52
prove
13.27
KB
-rwxr-xr-x
2020-06-20 17:33
prtstat
14.42
KB
-rwxr-xr-x
2015-08-17 13:18
ps2ascii
631
B
-rwxr-xr-x
2020-08-20 14:04
ps2epsi
2.69
KB
-rwxr-xr-x
2020-08-20 14:04
ps2pdf
272
B
-rwxr-xr-x
2020-08-20 14:04
ps2pdf12
215
B
-rwxr-xr-x
2020-08-20 14:04
ps2pdf13
215
B
-rwxr-xr-x
2020-08-20 14:04
ps2pdf14
215
B
-rwxr-xr-x
2020-08-20 14:04
ps2pdfwr
1.07
KB
-rwxr-xr-x
2020-08-20 14:04
ps2ps
647
B
-rwxr-xr-x
2020-08-20 14:04
ps2ps2
669
B
-rwxr-xr-x
2020-08-20 14:04
ps2txt
631
B
-rwxr-xr-x
2020-08-20 14:04
psfaddtable
18.38
KB
-rwxr-xr-x
2016-01-05 16:55
psfgettable
18.38
KB
-rwxr-xr-x
2016-01-05 16:55
psfstriptable
18.38
KB
-rwxr-xr-x
2016-01-05 16:55
psfxtable
18.38
KB
-rwxr-xr-x
2016-01-05 16:55
pstree
27.49
KB
-rwxr-xr-x
2015-08-17 13:18
pstree.x11
27.49
KB
-rwxr-xr-x
2015-08-17 13:18
pstruct
35.89
KB
-rwxr-xr-x
2020-06-20 17:33
ptar
3.48
KB
-rwxr-xr-x
2020-06-20 17:33
ptardiff
2.57
KB
-rwxr-xr-x
2020-06-20 17:33
ptargrep
4.29
KB
-rwxr-xr-x
2020-06-20 17:33
ptx
71.01
KB
-rwxr-xr-x
2017-02-22 12:23
pwdx
10.07
KB
-rwxr-xr-x
2018-05-17 10:56
py3clean
7.62
KB
-rwxr-xr-x
2017-01-20 10:03
py3compile
11.83
KB
-rwxr-xr-x
2017-01-20 10:03
py3versions
11.44
KB
-rwxr-xr-x
2017-01-20 10:03
pybuild
21.75
KB
-rwxr-xr-x
2017-01-25 14:47
pyclean
4.03
KB
-rwxr-xr-x
2017-01-24 13:00
pycompile
11.62
KB
-rwxr-xr-x
2017-01-24 13:00
pydoc
79
B
-rwxr-xr-x
2020-08-22 10:03
pydoc2.7
79
B
-rwxr-xr-x
2020-08-22 10:03
pydoc3
79
B
-rwxr-xr-x
2020-11-18 21:09
pydoc3.5
79
B
-rwxr-xr-x
2020-11-18 21:09
pygettext
21.58
KB
-rwxr-xr-x
2020-08-22 10:03
pygettext2.7
21.58
KB
-rwxr-xr-x
2020-08-22 10:03
pygettext3
21.73
KB
-rwxr-xr-x
2020-11-18 21:09
pygettext3.5
21.73
KB
-rwxr-xr-x
2020-11-18 21:09
python
3.62
MB
-rwxr-xr-x
2020-08-22 10:03
python2
3.62
MB
-rwxr-xr-x
2020-08-22 10:03
python2.7
3.62
MB
-rwxr-xr-x
2020-08-22 10:03
python3
4.54
MB
-rwxr-xr-x
2020-11-18 21:09
python3-futurize
384
B
-rwxr-xr-x
2016-09-23 17:38
python3-pasteurize
388
B
-rwxr-xr-x
2016-09-23 17:38
python3-pbr
152
B
-rwxr-xr-x
2016-09-21 14:14
python3.5
4.54
MB
-rwxr-xr-x
2020-11-18 21:09
python3.5m
4.54
MB
-rwxr-xr-x
2020-11-18 21:09
python3m
4.54
MB
-rwxr-xr-x
2020-11-18 21:09
pyversions
14.75
KB
-rwxr-xr-x
2017-01-24 13:00
querybts
10.59
KB
-rwxr-xr-x
2019-08-29 14:19
rcp
86.14
KB
-rwxr-xr-x
2019-07-15 13:32
realpath
46.82
KB
-rwxr-xr-x
2017-02-22 12:23
rename
3.1
KB
-rwxr-xr-x
2015-06-04 22:55
rename.ul
14.48
KB
-rwxr-xr-x
2018-03-07 18:29
renice
10.36
KB
-rwxr-xr-x
2018-03-07 18:29
replace
3.36
MB
-rwxr-xr-x
2021-01-31 16:38
report-hw
2.05
KB
-rwxr-xr-x
2015-12-30 04:01
reportbug
103.63
KB
-rwxr-xr-x
2019-08-29 14:19
reset
22
KB
-rwxr-xr-x
2017-12-28 09:47
resizecons
18.65
KB
-rwxr-xr-x
2016-01-05 16:55
resizepart
38.86
KB
-rwxr-xr-x
2018-03-07 18:29
resolve_stack_dump
3.38
MB
-rwxr-xr-x
2021-01-31 16:38
resolveip
3.38
MB
-rwxr-xr-x
2021-01-31 16:38
rev
10.45
KB
-rwxr-xr-x
2018-03-07 18:29
rgrep
30
B
-rwxr-xr-x
2016-11-28 21:59
rlogin
714.86
KB
-rwxr-xr-x
2019-07-15 13:32
rotatelogs
18.07
KB
-rwxr-xr-x
2019-10-13 15:43
routef
173
B
-rwxr-xr-x
2017-11-24 09:22
routel
1.23
KB
-rwxr-xr-x
2017-11-24 09:22
rsh
714.86
KB
-rwxr-xr-x
2019-07-15 13:32
rsync
472.3
KB
-rwxr-xr-x
2019-03-15 10:39
rtstat
18.8
KB
-rwxr-xr-x
2017-11-24 09:22
run-mailcap
17.74
KB
-rwxr-xr-x
2016-05-01 11:20
runcon
34.85
KB
-rwxr-xr-x
2017-02-22 12:23
rview
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
rvim
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
sadf
282.37
KB
-rwxr-xr-x
2017-05-25 20:26
sar
109.7
KB
-rwxr-xr-x
2017-05-25 20:26
sar.sysstat
109.7
KB
-rwxr-xr-x
2017-05-25 20:26
savelog
10.22
KB
-rwxr-xr-x
2017-04-02 17:10
scp
86.14
KB
-rwxr-xr-x
2019-07-15 13:32
screendump
10.34
KB
-rwxr-xr-x
2016-01-05 16:55
script
22.73
KB
-rwxr-xr-x
2018-03-07 18:29
scriptreplay
22.63
KB
-rwxr-xr-x
2018-03-07 18:29
sdiff
50.85
KB
-rwxr-xr-x
2017-01-09 22:55
see
17.74
KB
-rwxr-xr-x
2016-05-01 11:20
select-default-iwrap
474
B
-rwxr-xr-x
2016-10-10 09:58
select-editor
1.19
KB
-rwxr-xr-x
2017-12-20 13:39
sensible-browser
1.11
KB
-rwxr-xr-x
2017-12-20 13:39
sensible-editor
1.08
KB
-rwxr-xr-x
2017-12-20 13:39
sensible-pager
288
B
-rwxr-xr-x
2017-12-20 13:39
seq
46.82
KB
-rwxr-xr-x
2017-02-22 12:23
setarch
18.73
KB
-rwxr-xr-x
2018-03-07 18:29
setkeycodes
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
setleds
14.35
KB
-rwxr-xr-x
2016-01-05 16:55
setlogcons
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
setmetamode
10.4
KB
-rwxr-xr-x
2016-01-05 16:55
setpci
22.54
KB
-rwxr-xr-x
2016-11-30 06:53
setsid
10.45
KB
-rwxr-xr-x
2018-03-07 18:29
setterm
38.68
KB
-rwxr-xr-x
2018-03-07 18:29
setvtrgb
10.46
KB
-rwxr-xr-x
2016-01-05 16:55
sftp
134.36
KB
-rwxr-xr-x
2019-07-15 13:32
sg
39.37
KB
-rwsr-xr-x
2017-05-17 11:59
sha1sum
46.85
KB
-rwxr-xr-x
2017-02-22 12:23
sha224sum
54.85
KB
-rwxr-xr-x
2017-02-22 12:23
sha256sum
54.85
KB
-rwxr-xr-x
2017-02-22 12:23
sha384sum
58.85
KB
-rwxr-xr-x
2017-02-22 12:23
sha512sum
58.85
KB
-rwxr-xr-x
2017-02-22 12:23
shasum
9.15
KB
-rwxr-xr-x
2020-06-20 17:33
showconsolefont
18.45
KB
-rwxr-xr-x
2016-01-05 16:55
showkey
14.63
KB
-rwxr-xr-x
2016-01-05 16:55
shred
59.01
KB
-rwxr-xr-x
2017-02-22 12:23
shuf
54.91
KB
-rwxr-xr-x
2017-02-22 12:23
skill
26.08
KB
-rwxr-xr-x
2018-05-17 10:56
slabtop
18.08
KB
-rwxr-xr-x
2018-05-17 10:56
slogin
714.86
KB
-rwxr-xr-x
2019-07-15 13:32
snice
26.08
KB
-rwxr-xr-x
2018-05-17 10:56
socat
369.47
KB
-rwxr-xr-x
2017-07-14 13:52
soelim
30.2
KB
-rwxr-xr-x
2016-12-13 13:06
sort
107.52
KB
-rwxr-xr-x
2017-02-22 12:23
splain
18.37
KB
-rwxr-xr-x
2020-06-20 17:33
split
55.38
KB
-rwxr-xr-x
2017-02-22 12:23
splitfont
10.25
KB
-rwxr-xr-x
2016-01-05 16:55
sq
5.99
KB
-rwxr-xr-x
2016-03-04 07:59
ssh
714.86
KB
-rwxr-xr-x
2019-07-15 13:32
ssh-add
330.21
KB
-rwxr-xr-x
2019-07-15 13:32
ssh-agent
350.22
KB
-rwxr-sr-x
2019-07-15 13:32
ssh-argv0
1.42
KB
-rwxr-xr-x
2019-03-01 16:19
ssh-copy-id
10.13
KB
-rwxr-xr-x
2016-12-19 04:59
ssh-keygen
390.23
KB
-rwxr-xr-x
2019-07-15 13:32
ssh-keyscan
406.23
KB
-rwxr-xr-x
2019-07-15 13:32
stat
83.1
KB
-rwxr-xr-x
2017-02-22 12:23
stdbuf
46.82
KB
-rwxr-xr-x
2017-02-22 12:23
sudo
137.64
KB
-rwsr-xr-x
2021-01-23 09:10
sudoedit
137.64
KB
-rwsr-xr-x
2021-01-23 09:10
sudoreplay
46.59
KB
-rwxr-xr-x
2021-01-23 09:10
sum
38.83
KB
-rwxr-xr-x
2017-02-22 12:23
symcryptrun
110.6
KB
-rwxr-xr-x
2019-02-07 20:57
systemd-analyze
1010.6
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-cat
10.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-cgls
14.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-cgtop
30.44
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-delta
22.41
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-detect-virt
10.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-mount
30.35
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-path
10.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-resolve
78.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-run
38.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-socket-activate
22.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-stdio-bridge
14.34
KB
-rwxr-xr-x
2019-07-21 18:43
tabs
13.99
KB
-rwxr-xr-x
2017-12-28 09:47
tac
38.82
KB
-rwxr-xr-x
2017-02-22 12:23
tail
66.98
KB
-rwxr-xr-x
2017-02-22 12:23
tapestat
34.13
KB
-rwxr-xr-x
2017-05-25 20:26
tasksel
16.1
KB
-rwxr-xr-x
2016-12-24 12:46
taskset
30.75
KB
-rwxr-xr-x
2018-03-07 18:29
tbl
118.2
KB
-rwxr-xr-x
2016-12-13 13:06
tee
34.82
KB
-rwxr-xr-x
2017-02-22 12:23
telnet
104.42
KB
-rwxr-xr-x
2016-11-07 18:06
telnet.netkit
104.42
KB
-rwxr-xr-x
2016-11-07 18:06
test
46.79
KB
-rwxr-xr-x
2017-02-22 12:23
tic
78.11
KB
-rwxr-xr-x
2017-12-28 09:47
timedatectl
22.34
KB
-rwxr-xr-x
2019-07-21 18:43
timeout
39.35
KB
-rwxr-xr-x
2017-02-22 12:23
tload
14.09
KB
-rwxr-xr-x
2018-05-17 10:56
toe
13.99
KB
-rwxr-xr-x
2017-12-28 09:47
top
105.77
KB
-rwxr-xr-x
2018-05-17 10:56
touch
90.98
KB
-rwxr-xr-x
2017-02-22 12:23
tput
18.02
KB
-rwxr-xr-x
2017-12-28 09:47
tr
46.79
KB
-rwxr-xr-x
2017-02-22 12:23
traceproto
2.82
KB
-rwxr-xr-x
2016-08-29 15:45
traceproto.db
2.82
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute-nanog
1.58
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute.db
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute6
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute6.db
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
troff
695.34
KB
-rwxr-xr-x
2016-12-13 13:06
truncate
38.76
KB
-rwxr-xr-x
2017-02-22 12:23
tryaffix
4.8
KB
-rwxr-xr-x
2016-03-04 07:59
tset
22
KB
-rwxr-xr-x
2017-12-28 09:47
tsort
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
tty
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
tzselect
14.83
KB
-rwxr-xr-x
2019-02-06 21:17
ucf
39.68
KB
-rwxr-xr-x
2016-03-16 20:58
ucfq
18.91
KB
-rwxr-xr-x
2016-03-16 20:58
ucfr
10.47
KB
-rwxr-xr-x
2016-03-16 20:58
ul
14.34
KB
-rwxr-xr-x
2017-04-12 11:22
unexpand
34.82
KB
-rwxr-xr-x
2017-02-22 12:23
unicode_stop
530
B
-rwxr-xr-x
2016-01-05 16:55
uniq
42.85
KB
-rwxr-xr-x
2017-02-22 12:23
unlink
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
unlzma
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
unmkinitramfs
2.79
KB
-rwxr-xr-x
2017-03-06 22:42
unshare
18.82
KB
-rwxr-xr-x
2018-03-07 18:29
unsq
9.99
KB
-rwxr-xr-x
2016-03-04 07:59
unxz
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
update-alternatives
46.01
KB
-rwxr-xr-x
2018-06-26 10:28
update-mime-database
672
B
-rwxr-xr-x
2018-03-14 18:01
update-mime-database.real
51.23
KB
-rwxr-xr-x
2018-03-14 18:01
uptime
10.07
KB
-rwxr-xr-x
2018-05-17 10:56
users
30.79
KB
-rwxr-xr-x
2017-02-22 12:23
utmpdump
22.71
KB
-rwxr-xr-x
2018-03-07 18:29
vi
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
view
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
vim
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
vim.basic
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
vim.tiny
1.01
MB
-rwxr-xr-x
2019-06-21 04:10
vimdiff
2.3
MB
-rwxr-xr-x
2019-06-21 04:10
vimtutor
2.05
KB
-rwxr-xr-x
2019-06-21 04:10
vmstat
30.09
KB
-rwxr-xr-x
2018-05-17 10:56
w
18.07
KB
-rwxr-xr-x
2018-05-17 10:56
w.procps
18.07
KB
-rwxr-xr-x
2018-05-17 10:56
wall
26.8
KB
-rwxr-sr-x
2018-03-07 18:29
watch
22.41
KB
-rwxr-xr-x
2018-05-17 10:56
watchgnupg
13.99
KB
-rwxr-xr-x
2019-02-07 20:57
wc
42.86
KB
-rwxr-xr-x
2017-02-22 12:23
wget
479.56
KB
-rwxr-xr-x
2019-04-05 13:05
whatis
46.98
KB
-rwxr-xr-x
2016-12-13 13:10
whereis
27.09
KB
-rwxr-xr-x
2018-03-07 18:29
which
946
B
-rwxr-xr-x
2017-04-02 17:10
whiptail
26.77
KB
-rwxr-xr-x
2016-10-15 08:00
who
50.95
KB
-rwxr-xr-x
2017-02-22 12:23
whoami
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
whois
149.18
KB
-rwxr-xr-x
2017-07-27 15:45
write
14.42
KB
-rwxr-sr-x
2017-04-12 11:22
wsrep_sst_common
10.51
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_mariabackup
36.97
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_mysqldump
7.69
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_rsync
14.96
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_rsync_wan
14.96
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_xtrabackup
20.77
KB
-rwxr-xr-x
2021-01-31 16:38
wsrep_sst_xtrabackup-v2
40.73
KB
-rwxr-xr-x
2021-01-31 16:38
x86_64
18.73
KB
-rwxr-xr-x
2018-03-07 18:29
xargs
66.21
KB
-rwxr-xr-x
2017-02-18 15:37
xauth
47.47
KB
-rwxr-xr-x
2014-07-13 08:34
xdg-user-dir
234
B
-rwxr-xr-x
2014-09-19 09:17
xdg-user-dirs-update
18.59
KB
-rwxr-xr-x
2014-09-19 09:17
xsubpp
5.04
KB
-rwxr-xr-x
2020-06-20 17:33
xxd
18.12
KB
-rwxr-xr-x
2019-06-21 04:10
xz
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
xzcat
75.38
KB
-rwxr-xr-x
2016-10-08 13:11
xzcmp
6.48
KB
-rwxr-xr-x
2016-10-08 13:11
xzdiff
6.48
KB
-rwxr-xr-x
2016-10-08 13:11
xzegrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
xzfgrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
xzgrep
5.5
KB
-rwxr-xr-x
2016-10-08 13:11
xzless
1.76
KB
-rwxr-xr-x
2016-10-08 13:11
xzmore
2.11
KB
-rwxr-xr-x
2016-10-08 13:11
yes
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
zdump
14.42
KB
-rwxr-xr-x
2019-02-06 21:17
zipdetails
47.36
KB
-rwxr-xr-x
2020-06-20 17:33
Save
Rename
#!/bin/bash # Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB # This file is public domain and comes with NO WARRANTY of any kind # # Script to start the MySQL daemon and restart it if it dies unexpectedly # # This should be executed in the MySQL base directory if you are using a # binary installation that is not installed in its compile-time default # location # # mysql.server works by first doing a cd to the base directory and from there # executing mysqld_safe # Initialize script globals KILL_MYSQLD=1; MYSQLD= niceness=0 nowatch=0 mysqld_ld_preload= mysqld_ld_library_path= flush_caches=0 numa_interleave=0 unsafe_my_cnf=0 wsrep_on=0 dry_run=0 defaults_group_suffix= # Initial logging status: error log is not open, and not using syslog logging=init want_syslog=0 syslog_tag= user='mysql' pid_file= err_log= err_log_base= skip_err_log=0 syslog_tag_mysqld=mysqld syslog_tag_mysqld_safe=mysqld_safe # MySQL-specific environment variable. First off, it's not really a umask, # it's the desired mode. Second, it follows umask(2), not umask(3) in that # octal needs to be explicit. Our shell might be a proper sh without printf, # multiple-base arithmetic, and binary arithmetic, so this will get ugly. # We reject decimal values to keep things at least half-sane. umask 007 # fallback UMASK="${UMASK-0640}" fmode=`echo "$UMASK" | sed -e 's/[^0246]//g'` octalp=`echo "$fmode"|cut -c1` fmlen=`echo "$fmode"|wc -c|sed -e 's/ //g'` if [ "x$octalp" != "x0" -o "x$UMASK" != "x$fmode" -o "x$fmlen" != "x5" ] then fmode=0640 echo "UMASK must be a 3-digit mode with an additional leading 0 to indicate octal." >&2 echo "The first digit will be corrected to 6, the others may be 0, 2, 4, or 6." >&2 fi fmode=`echo "$fmode"|cut -c3-4` fmode="6$fmode" if [ "x$UMASK" != "x0$fmode" ] then echo "UMASK corrected from $UMASK to 0$fmode ..." fi defaults= case "$1" in --no-defaults|--defaults-file=*|--defaults-extra-file=*) defaults="$1"; shift ;; esac usage () { cat <<EOF Usage: $0 [OPTIONS] --no-defaults Don't read the system defaults file --core-file-size=LIMIT Limit core files to the specified size --defaults-file=FILE Use the specified defaults file --defaults-extra-file=FILE Also use defaults from the specified file --ledir=DIRECTORY Look for mysqld in the specified directory --open-files-limit=LIMIT Limit the number of open files --crash-script=FILE Script to call when mysqld crashes --timezone=TZ Set the system timezone --malloc-lib=LIB Preload shared library LIB if available --mysqld=FILE Use the specified file as mysqld --mysqld-version=VERSION Use "mysqld-VERSION" as mysqld --dry-run Simulate the start to detect errors but don't start --nice=NICE Set the scheduling priority of mysqld --no-auto-restart Exit after starting mysqld --nowatch Exit after starting mysqld --plugin-dir=DIR Plugins are under DIR or DIR/VERSION, if VERSION is given --skip-kill-mysqld Don't try to kill stray mysqld processes --syslog Log messages to syslog with 'logger' --skip-syslog Log messages to error log (default) --syslog-tag=TAG Pass -t "mysqld-TAG" to 'logger' --flush-caches Flush and purge buffers/caches before starting the server --numa-interleave Run mysqld with its memory interleaved on all NUMA nodes All other options are passed to the mysqld program. EOF exit 1 } my_which () { save_ifs="${IFS-UNSET}" IFS=: ret=0 for file do for dir in $PATH do if [ -f "$dir/$file" ] then echo "$dir/$file" continue 2 fi done ret=1 #signal an error break done if [ "$save_ifs" = UNSET ] then unset IFS else IFS="$save_ifs" fi return $ret # Success } find_in_bin() { if test -x "$MY_BASEDIR_VERSION/bin/$1" then echo "$MY_BASEDIR_VERSION/bin/$1" elif test -x "/usr/bin/$1" then echo "/usr/bin/$1" else echo "$1" fi } log_generic () { [ $dry_run -eq 1 ] && return priority="$1" shift msg="`date +'%y%m%d %H:%M:%S'` mysqld_safe $*" echo "$msg" case $logging in init) ;; # Just echo the message, don't save it anywhere file) echo "$msg" | "$helper" "$user" log "$err_log" ;; syslog) logger -t "$syslog_tag_mysqld_safe" -p "$priority" "$*" ;; *) echo "Internal program error (non-fatal):" \ " unknown logging method '$logging'" >&2 ;; esac } log_error () { log_generic daemon.error "$@" >&2 } log_notice () { log_generic daemon.notice "$@" } eval_log_error () { local cmd="$1" case $logging in file) cmd="$cmd 2>&1 | "`shell_quote_string "$helper"`" $user log "`shell_quote_string "$err_log"` ;; syslog) # mysqld often prefixes its messages with a timestamp, which is # redundant when logging to syslog (which adds its own timestamp) # However, we don't strip the timestamp with sed here, because # sed buffers output (only GNU sed supports a -u (unbuffered) option) # which means that messages may not get sent to syslog until the # mysqld process quits. cmd="$cmd 2>&1 | logger -t '$syslog_tag_mysqld' -p daemon.error & wait" ;; *) echo "Internal program error (non-fatal):" \ " unknown logging method '$logging'" >&2 ;; esac if test $nowatch -eq 1 then # We'd prefer to exec $cmd here, but SELinux needs to be fixed first #/usr/bin/logger "Running mysqld: $cmd" eval "$cmd &" exit 0 else #echo "Running mysqld: [$cmd]" eval "$cmd" fi } shell_quote_string() { # This sed command makes sure that any special chars are quoted, # so the arg gets passed exactly to the server. echo "$1" | sed -e 's,\([^a-zA-Z0-9/_.=-]\),\\\1,g' } wsrep_pick_url() { [ $# -eq 0 ] && return 0 log_error "WSREP: 'wsrep_urls' is DEPRECATED! Use wsrep_cluster_address to specify multiple addresses instead." if ! which nc >/dev/null; then log_error "ERROR: nc tool not found in PATH! Make sure you have it installed." return 1 fi local url # Assuming URL in the form scheme://host:port # If host and port are not NULL, the liveness of URL is assumed to be tested # If port part is absent, the url is returned literally and unconditionally # If every URL has port but none is reachable, nothing is returned for url in `echo $@ | sed s/,/\ /g` 0; do local host=`echo $url | cut -d \: -f 2 | sed s/^\\\/\\\///` local port=`echo $url | cut -d \: -f 3` [ -z "$port" ] && break nc -z "$host" $port >/dev/null && break done if [ "$url" == "0" ]; then log_error "ERROR: none of the URLs in '$@' is reachable." return 1 fi echo $url } # Run mysqld with --wsrep-recover and parse recovered position from log. # Position will be stored in wsrep_start_position_opt global. wsrep_start_position_opt="" wsrep_recover_position() { local mysqld_cmd="$@" local euid=$(id -u) local ret=0 local wr_logfile=$(mktemp /tmp/wsrep_recovery.XXXXXX) # safety checks if [ -z $wr_logfile ]; then log_error "WSREP: mktemp failed" return 1 fi if [ -f $wr_logfile ]; then [ "$euid" = "0" ] && chown $user $wr_logfile chmod 600 $wr_logfile else log_error "WSREP: mktemp failed" return 1 fi local wr_pidfile="$DATADIR/"`hostname`"-recover.pid" local wr_options="--disable-log-error --pid-file='$wr_pidfile'" log_notice "WSREP: Running position recovery with $wr_options" eval "$mysqld_cmd --wsrep_recover $wr_options 2> $wr_logfile" local rp="$(grep 'WSREP: Recovered position:' $wr_logfile)" if [ -z "$rp" ]; then local skipped="$(grep WSREP $wr_logfile | grep 'skipping position recovery')" if [ -z "$skipped" ]; then log_error "WSREP: Failed to recover position: '`cat $wr_logfile`'" ret=1 else log_notice "WSREP: Position recovery skipped" fi else local start_pos="$(echo $rp | sed 's/.*WSREP\:\ Recovered\ position://' \ | sed 's/^[ \t]*//')" log_notice "WSREP: Recovered position $start_pos" wsrep_start_position_opt="--wsrep_start_position=$start_pos" fi [ $ret -eq 0 ] && rm $wr_logfile return $ret } check_executable_location() { if test "$unsafe_my_cnf" = 1 -a "$unrecognized_handling" != collect; then log_error "Cannot accept $1 from a config file, when my.cnf is in the datadir" exit 1 fi } parse_arguments() { for arg do val=`echo "$arg" | sed -e "s;--[^=]*=;;"` case "$arg" in # these get passed explicitly to mysqld --basedir=*) MY_BASEDIR_VERSION="$val" ;; --datadir=*|--data=*) DATADIR="$val" ;; --pid[-_]file=*) pid_file="$val" ;; --plugin[-_]dir=*) PLUGIN_DIR="$val" ;; --user=*) user="$val"; SET_USER=1 ;; --log[-_]basename=*|--hostname=*|--loose[-_]log[-_]basename=*) pid_file="$val.pid"; err_log_base="$val"; ;; # these might have been set in a [mysqld_safe] section of my.cnf # they are added to mysqld command line to override settings from my.cnf --skip[-_]log[-_]error) err_log=; skip_err_log=1; ;; --log[-_]error=*) err_log="$val"; skip_err_log=0; ;; --port=*) mysql_tcp_port="$val" ;; --socket=*) mysql_unix_port="$val" ;; # mysqld_safe-specific options - must be set in my.cnf ([mysqld_safe])! --core[-_]file[-_]size=*) core_file_size="$val" ;; --ledir=*) check_executable_location "$arg" ; ledir="$val" ;; --malloc[-_]lib=*) check_executable_location "$arg"; set_malloc_lib "$val" ;; --crash[-_]script=*) check_executable_location "$arg"; crash_script="$val" ;; --mysqld=*) check_executable_location "$arg"; MYSQLD="$val" ;; --mysqld[-_]version=*) if test -n "$val" then check_executable_location "$arg" MYSQLD="mysqld-$val" PLUGIN_VARIANT="/$val" else MYSQLD="mysqld" fi ;; --dry[-_]run) dry_run=1 ;; --nice=*) niceness="$val" ;; --nowatch|--no[-_]watch|--no[-_]auto[-_]restart) nowatch=1 ;; --open[-_]files[-_]limit=*) open_files="$val" ;; --skip[-_]kill[-_]mysqld*) KILL_MYSQLD=0 ;; --syslog) want_syslog=1 ;; --skip[-_]syslog) want_syslog=0 ;; --syslog[-_]tag=*) syslog_tag="$val" ;; --timezone=*) TZ="$val"; export TZ; ;; --flush[-_]caches) flush_caches=1 ;; --numa[-_]interleave) numa_interleave=1 ;; --wsrep[-_]on) wsrep_on=1 append_arg_to_args "$arg" ;; --skip[-_]wsrep[-_]on) wsrep_on=0 append_arg_to_args "$arg" ;; --wsrep[-_]on=*) if echo $val | grep -iq '\(ON\|1\)'; then wsrep_on=1 else wsrep_on=0 fi append_arg_to_args "$arg" ;; --wsrep[-_]urls=*) wsrep_urls="$val"; ;; --wsrep[-_]provider=*) if test -n "$val" && test "$val" != "none" then wsrep_restart=1 fi append_arg_to_args "$arg" ;; --defaults-group-suffix=*) defaults_group_suffix="$arg" ;; --help) usage ;; *) case "$unrecognized_handling" in collect) append_arg_to_args "$arg" ;; complain) log_error "unknown option '$arg'" ;; esac esac done } # Add a single shared library to the list of libraries which will be added to # LD_PRELOAD for mysqld # # Since LD_PRELOAD is a space-separated value (for historical reasons), if a # shared lib's path contains spaces, that path will be prepended to # LD_LIBRARY_PATH and stripped from the lib value. add_mysqld_ld_preload() { lib_to_add="$1" log_notice "Adding '$lib_to_add' to LD_PRELOAD for mysqld" case "$lib_to_add" in *' '*) # Must strip path from lib, and add it to LD_LIBRARY_PATH lib_file=`basename "$lib_to_add"` case "$lib_file" in *' '*) # The lib file itself has a space in its name, and can't # be used in LD_PRELOAD log_error "library name '$lib_to_add' contains spaces and can not be used with LD_PRELOAD" exit 1 ;; esac lib_path=`dirname "$lib_to_add"` lib_to_add="$lib_file" [ -n "$mysqld_ld_library_path" ] && mysqld_ld_library_path="$mysqld_ld_library_path:" mysqld_ld_library_path="$mysqld_ld_library_path$lib_path" ;; esac # LD_PRELOAD is a space-separated [ -n "$mysqld_ld_preload" ] && mysqld_ld_preload="$mysqld_ld_preload " mysqld_ld_preload="${mysqld_ld_preload}$lib_to_add" } # Returns LD_PRELOAD (and LD_LIBRARY_PATH, if needed) text, quoted to be # suitable for use in the eval that calls mysqld. # # All values in mysqld_ld_preload are prepended to LD_PRELOAD. mysqld_ld_preload_text() { text= if [ -n "$mysqld_ld_preload" ]; then new_text="$mysqld_ld_preload" [ -n "$LD_PRELOAD" ] && new_text="$new_text $LD_PRELOAD" text="${text}LD_PRELOAD="`shell_quote_string "$new_text"`' ' fi if [ -n "$mysqld_ld_library_path" ]; then new_text="$mysqld_ld_library_path" [ -n "$LD_LIBRARY_PATH" ] && new_text="$new_text:$LD_LIBRARY_PATH" text="${text}LD_LIBRARY_PATH="`shell_quote_string "$new_text"`' ' fi echo "$text" } mysql_config= get_mysql_config() { if [ -z "$mysql_config" ]; then mysql_config=`echo "$0" | sed 's,/[^/][^/]*$,/mysql_config,'` if [ ! -x "$mysql_config" ]; then log_error "Can not run mysql_config $@ from '$mysql_config'" exit 1 fi fi "$mysql_config" "$@" } # set_malloc_lib LIB # - If LIB is empty, do nothing and return # - If LIB is 'tcmalloc', look for tcmalloc shared library in /usr/lib # then pkglibdir. tcmalloc is part of the Google perftools project. # - If LIB is an absolute path, assume it is a malloc shared library # # Put LIB in mysqld_ld_preload, which will be added to LD_PRELOAD when # running mysqld. See ld.so for details. set_malloc_lib() { malloc_lib="$1" if [ "$malloc_lib" = tcmalloc ]; then pkglibdir=`get_mysql_config --variable=pkglibdir` malloc_lib= # This list is kept intentionally simple. Simply set --malloc-lib # to a full path if another location is desired. for libdir in /usr/lib "$pkglibdir" "$pkglibdir/mysql"; do for flavor in _minimal '' _and_profiler _debug; do tmp="$libdir/libtcmalloc$flavor.so" #log_notice "DEBUG: Checking for malloc lib '$tmp'" [ -r "$tmp" ] || continue malloc_lib="$tmp" break 2 done done if [ -z "$malloc_lib" ]; then log_error "no shared library for --malloc-lib=tcmalloc found in /usr/lib or $pkglibdir" exit 1 fi fi # Allow --malloc-lib='' to override other settings [ -z "$malloc_lib" ] && return case "$malloc_lib" in /*) if [ ! -r "$malloc_lib" ]; then log_error "--malloc-lib '$malloc_lib' can not be read and will not be used" exit 1 fi ;; *) log_error "--malloc-lib must be an absolute path or 'tcmalloc'; " \ "ignoring value '$malloc_lib'" exit 1 ;; esac add_mysqld_ld_preload "$malloc_lib" } # # First, try to find BASEDIR and ledir (where mysqld is) # MY_PWD=`dirname $0` MY_PWD=`cd "$MY_PWD"/.. && pwd` # Check for the directories we would expect from a binary release install if test -n "$MY_BASEDIR_VERSION" -a -d "$MY_BASEDIR_VERSION" then # BASEDIR is already overridden on command line. Do not re-set. # Use BASEDIR to discover le. if test -x "$MY_BASEDIR_VERSION/libexec/mysqld" then ledir="$MY_BASEDIR_VERSION/libexec" elif test -x "$MY_BASEDIR_VERSION/sbin/mysqld" then ledir="$MY_BASEDIR_VERSION/sbin" else ledir="$MY_BASEDIR_VERSION/bin" fi elif test -x "$MY_PWD/bin/mysqld" then MY_BASEDIR_VERSION="$MY_PWD" # Where bin, share and data are ledir="$MY_PWD/bin" # Where mysqld is # Check for the directories we would expect from a source install elif test -x "$MY_PWD/libexec/mysqld" then MY_BASEDIR_VERSION="$MY_PWD" # Where libexec, share and var are ledir="$MY_PWD/libexec" # Where mysqld is elif test -x "$MY_PWD/sbin/mysqld" then MY_BASEDIR_VERSION="$MY_PWD" # Where sbin, share and var are ledir="$MY_PWD/sbin" # Where mysqld is # Since we didn't find anything, used the compiled-in defaults else MY_BASEDIR_VERSION='/usr' ledir='/usr/sbin' fi helper=`find_in_bin mysqld_safe_helper` print_defaults=`find_in_bin my_print_defaults` # # Second, try to find the data directory # # Try where the binary installs put it if test -d $MY_BASEDIR_VERSION/data/mysql then DATADIR=$MY_BASEDIR_VERSION/data if test -z "$defaults" -a -r "$DATADIR/my.cnf" then defaults="--defaults-extra-file=$DATADIR/my.cnf" fi # Next try where the source installs put it elif test -d $MY_BASEDIR_VERSION/var/mysql then DATADIR=$MY_BASEDIR_VERSION/var # Or just give up and use our compiled-in default else DATADIR=/var/lib/mysql fi if test -z "$MYSQL_HOME" then if test -r "$MY_BASEDIR_VERSION/my.cnf" && test -r "$DATADIR/my.cnf" then log_error "WARNING: Found two instances of my.cnf - $MY_BASEDIR_VERSION/my.cnf and $DATADIR/my.cnf IGNORING $DATADIR/my.cnf" MYSQL_HOME=$MY_BASEDIR_VERSION elif test -r "$DATADIR/my.cnf" then log_error "WARNING: Found $DATADIR/my.cnf The data directory is a deprecated location for my.cnf, please move it to $MY_BASEDIR_VERSION/my.cnf" unsafe_my_cnf=1 MYSQL_HOME=$DATADIR else MYSQL_HOME=$MY_BASEDIR_VERSION fi fi export MYSQL_HOME append_arg_to_args () { args="$args "`shell_quote_string "$1"` } args= # Get first arguments from the my.cnf file, groups [mysqld] and [mysqld_safe] # and then merge with the command line arguments SET_USER=2 parse_arguments `$print_defaults $defaults --loose-verbose --mysqld` if test $SET_USER -eq 2 then SET_USER=0 fi # If arguments come from [mysqld_safe] section of my.cnf # we complain about unrecognized options unrecognized_handling=complain parse_arguments `$print_defaults $defaults --loose-verbose mysqld_safe safe_mysqld mariadb_safe` # We only need to pass arguments through to the server if we don't # handle them here. So, we collect unrecognized options (passed on # the command line) into the args variable. unrecognized_handling=collect parse_arguments "$@" # # Try to find the plugin directory # # Use user-supplied argument if [ -n "${PLUGIN_DIR}" ]; then plugin_dir="${PLUGIN_DIR}" else # Try to find plugin dir relative to basedir for dir in lib64/mysql/plugin lib64/plugin lib/mysql/plugin lib/plugin do if [ -d "${MY_BASEDIR_VERSION}/${dir}" ]; then plugin_dir="${MY_BASEDIR_VERSION}/${dir}" break fi done # Give up and use compiled-in default if [ -z "${plugin_dir}" ]; then plugin_dir='/usr/lib/x86_64-linux-gnu/mariadb18/plugin' fi fi plugin_dir="${plugin_dir}${PLUGIN_VARIANT}" # Determine what logging facility to use # Ensure that 'logger' exists, if it's requested if [ $want_syslog -eq 1 ] then my_which logger > /dev/null 2>&1 if [ $? -ne 0 ] then log_error "--syslog requested, but no 'logger' program found. Please ensure that 'logger' is in your PATH, or do not specify the --syslog option to mysqld_safe." exit 1 fi fi if [ $skip_err_log -eq 1 ] then append_arg_to_args "--skip-log-error" fi if [ -n "$err_log" -o $want_syslog -eq 0 ] then if [ -n "$err_log" ] then # mysqld adds ".err" if there is no extension on the --log-error # argument; must match that here, or mysqld_safe will write to a # different log file than mysqld # mysqld does not add ".err" to "--log-error=foo."; it considers a # trailing "." as an extension if expr "$err_log" : '.*\.[^/]*$' > /dev/null then : else err_log="$err_log".err fi case "$err_log" in /* ) ;; * ) err_log="$DATADIR/$err_log" ;; esac else if [ -n "$err_log_base" ] then err_log=$err_log_base.err case "$err_log" in /* ) ;; * ) err_log="$DATADIR/$err_log" ;; esac else err_log=$DATADIR/`hostname`.err fi fi append_arg_to_args "--log-error=$err_log" if [ $want_syslog -eq 1 ] then # User explicitly asked for syslog, so warn that it isn't used log_error "Can't log to error log and syslog at the same time. Remove all --log-error configuration options for --syslog to take effect." want_syslog=0 fi # Log to err_log file log_notice "Logging to '$err_log'." logging=file else if [ -n "$syslog_tag" ] then # Sanitize the syslog tag syslog_tag=`echo "$syslog_tag" | sed -e 's/[^a-zA-Z0-9_-]/_/g'` syslog_tag_mysqld_safe="${syslog_tag_mysqld_safe}-$syslog_tag" syslog_tag_mysqld="${syslog_tag_mysqld}-$syslog_tag" fi log_notice "Logging to syslog." logging=syslog fi USER_OPTION="" if test -w / -o "$USER" = "root" then if test "$user" != "root" -o $SET_USER = 1 then USER_OPTION="--user=$user" fi if test -n "$open_files" then ulimit -n $open_files fi fi if test -n "$open_files" then append_arg_to_args "--open-files-limit=$open_files" fi safe_mysql_unix_port=${mysql_unix_port:-${MYSQL_UNIX_PORT:-/var/run/mysqld/mysqld.sock}} # Make sure that directory for $safe_mysql_unix_port exists mysql_unix_port_dir=`dirname $safe_mysql_unix_port` if [ ! -d $mysql_unix_port_dir -a $dry_run -eq 0 ] then if ! mkdir -p $mysql_unix_port_dir then log_error "Fatal error Can't create database directory '$mysql_unix_port'" exit 1 fi chown $user $mysql_unix_port_dir chmod 755 $mysql_unix_port_dir fi # If the user doesn't specify a binary, we assume name "mysqld" if test -z "$MYSQLD" then MYSQLD=mysqld fi if test ! -x "$ledir/$MYSQLD" then log_error "The file $ledir/$MYSQLD does not exist or is not executable. Please cd to the mysql installation directory and restart this script from there as follows: ./bin/mysqld_safe& See http://dev.mysql.com/doc/mysql/en/mysqld-safe.html for more information" exit 1 fi if test -z "$pid_file" then pid_file="`hostname`.pid" fi # MariaDB wants pid file without datadir append_arg_to_args "--pid-file=$pid_file" case "$pid_file" in /* ) ;; * ) pid_file="$DATADIR/$pid_file" ;; esac if test -n "$mysql_unix_port" then append_arg_to_args "--socket=$mysql_unix_port" fi if test -n "$mysql_tcp_port" then append_arg_to_args "--port=$mysql_tcp_port" fi if test $niceness -eq 0 then NOHUP_NICENESS="nohup" else NOHUP_NICENESS="nohup nice -$niceness" fi # Using nice with no args to get the niceness level is GNU-specific. # This check could be extended for other operating systems (e.g., # BSD could use "nohup sh -c 'ps -o nice -p $$' | tail -1"). # But, it also seems that GNU nohup is the only one which messes # with the priority, so this is okay. if nohup nice > /dev/null 2>&1 then normal_niceness=`nice` nohup_niceness=`nohup nice 2>/dev/null` numeric_nice_values=1 for val in $normal_niceness $nohup_niceness do case "$val" in -[0-9] | -[0-9][0-9] | -[0-9][0-9][0-9] | \ [0-9] | [0-9][0-9] | [0-9][0-9][0-9] ) ;; * ) numeric_nice_values=0 ;; esac done if test $numeric_nice_values -eq 1 then nice_value_diff=`expr $nohup_niceness - $normal_niceness` if test $? -eq 0 && test $nice_value_diff -gt 0 && \ nice --$nice_value_diff echo testing > /dev/null 2>&1 then # nohup increases the priority (bad), and we are permitted # to lower the priority with respect to the value the user # might have been given niceness=`expr $niceness - $nice_value_diff` NOHUP_NICENESS="nice -$niceness nohup" fi fi else if nohup echo testing > /dev/null 2>&1 then : else # nohup doesn't work on this system NOHUP_NICENESS="" fi fi # Try to set the core file size (even if we aren't root) because many systems # don't specify a hard limit on core file size. if test -n "$core_file_size" then ulimit -c $core_file_size fi # # If there exists an old pid file, check if the daemon is already running # Note: The switches to 'ps' may depend on your operating system if test -f "$pid_file" && [ $dry_run -eq 0 ] then PID=`cat "$pid_file"` if kill -0 $PID > /dev/null 2> /dev/null then if ps wwwp $PID | grep -v mysqld_safe | grep -- $MYSQLD > /dev/null then # The pid contains a mysqld process log_error "A mysqld process already exists" exit 1 fi fi rm -f "$pid_file" if test -f "$pid_file" then log_error "Fatal error: Can't remove the pid file: $pid_file Please remove it manually and start $0 again; mysqld daemon not started" exit 1 fi fi # # Flush and purge buffers/caches. # if true && test $flush_caches -eq 1 then # Locate sync, ensure it exists. if ! my_which sync > /dev/null 2>&1 then log_error "sync command not found, required for --flush-caches" exit 1 # Flush file system buffers. elif ! sync then # Huh, the sync() function is always successful... log_error "sync failed, check if sync is properly installed" fi # Locate sysctl, ensure it exists. if ! my_which sysctl > /dev/null 2>&1 then log_error "sysctl command not found, required for --flush-caches" exit 1 # Purge page cache, dentries and inodes. elif ! sysctl -q -w vm.drop_caches=3 then log_error "sysctl failed, check the error message for details" exit 1 fi elif test $flush_caches -eq 1 then log_error "--flush-caches is not supported on this platform" exit 1 fi # # From now on, we catch signals to do a proper shutdown of mysqld # when signalled to do so. # trap '/usr/bin/mysqladmin --defaults-extra-file=/etc/mysql/debian.cnf refresh & wait' 1 # HUP trap '/usr/bin/mysqladmin --defaults-extra-file=/etc/mysql/debian.cnf shutdown' 2 3 15 # INT QUIT and TERM # # Uncomment the following lines if you want all tables to be automatically # checked and repaired during startup. You should add sensible key_buffer # and sort_buffer values to my.cnf to improve check performance or require # less disk space. # Alternatively, you can start mysqld with the "myisam-recover" option. See # the manual for details. # # echo "Checking tables in $DATADIR" # $MY_BASEDIR_VERSION/bin/myisamchk --silent --force --fast --medium-check $DATADIR/*/*.MYI # $MY_BASEDIR_VERSION/bin/isamchk --silent --force $DATADIR/*/*.ISM # Does this work on all systems? #if type ulimit | grep "shell builtin" > /dev/null #then # ulimit -n 256 > /dev/null 2>&1 # Fix for BSD and FreeBSD systems #fi cmd="`mysqld_ld_preload_text`$NOHUP_NICENESS" [ $dry_run -eq 1 ] && cmd='' # # Set mysqld's memory interleave policy. # if true && test $numa_interleave -eq 1 then # Locate numactl, ensure it exists. if ! my_which numactl > /dev/null 2>&1 then log_error "numactl command not found, required for --numa-interleave" exit 1 # Attempt to run a command, ensure it works. elif ! numactl --interleave=all true then log_error "numactl failed, check if numactl is properly installed" fi # Launch mysqld with numactl. [ $dry_run -eq 0 ] && cmd="$cmd numactl --interleave=all" elif test $numa_interleave -eq 1 then log_error "--numa-interleave is not supported on this platform" exit 1 fi for i in "$ledir/$MYSQLD" "$defaults_group_suffix" "$defaults" "--basedir=$MY_BASEDIR_VERSION" \ "--datadir=$DATADIR" "--plugin-dir=$plugin_dir" "$USER_OPTION" do cmd="$cmd "`shell_quote_string "$i"` done cmd="$cmd $args" if [ $dry_run -eq 1 ] then # RETURN or EXIT depending if the script is being sourced or not. (return 2> /dev/null) && return || exit fi # Avoid 'nohup: ignoring input' warning test -n "$NOHUP_NICENESS" && cmd="$cmd < /dev/null" log_notice "Starting $MYSQLD daemon with databases from $DATADIR" # variable to track the current number of "fast" (a.k.a. subsecond) restarts fast_restart=0 # maximum number of restarts before trottling kicks in max_fast_restarts=5 # flag whether a usable sleep command exists have_sleep=1 # close stdout and stderr, everything goes to $logging now if expr "${-}" : '.*x' > /dev/null then : else exec 1>/dev/null exec 2>/dev/null fi # maximum number of wsrep restarts max_wsrep_restarts=0 while true do rm -f "$pid_file" # Some extra safety start_time=`date +%M%S` # Perform wsrep position recovery if wsrep_on=1, skip otherwise. if test $wsrep_on -eq 1 then # this sets wsrep_start_position_opt wsrep_recover_position "$cmd" [ $? -ne 0 ] && exit 1 # [ -n "$wsrep_urls" ] && url=`wsrep_pick_url $wsrep_urls` # check connect address if [ -z "$url" ] then eval_log_error "$cmd $wsrep_start_position_opt" else eval_log_error "$cmd $wsrep_start_position_opt --wsrep_cluster_address=$url" fi else eval_log_error "$cmd" fi end_time=`date +%M%S` if test ! -f "$pid_file" # This is removed if normal shutdown then break fi # sanity check if time reading is sane and there's sleep if test $end_time -gt 0 -a $have_sleep -gt 0 then # throttle down the fast restarts if test $end_time -eq $start_time then fast_restart=`expr $fast_restart + 1` if test $fast_restart -ge $max_fast_restarts then log_notice "The server is respawning too fast. Sleeping for 1 second." sleep 1 sleep_state=$? if test $sleep_state -gt 0 then log_notice "The server is respawning too fast and no working sleep command. Turning off trottling." have_sleep=0 fi fast_restart=0 fi else fast_restart=0 fi fi if true && test $KILL_MYSQLD -eq 1 then # Test if one process was hanging. # This is only a fix for Linux (running as base 3 mysqld processes) # but should work for the rest of the servers. # The only thing is ps x => redhat 5 gives warnings when using ps -x. # kill -9 is used or the process won't react on the kill. numofproces=`ps xaww | grep -v "grep" | grep "$ledir/$MYSQLD\>" | grep -c "pid-file=$pid_file"` log_notice "Number of processes running now: $numofproces" I=1 while test "$I" -le "$numofproces" do PROC=`ps xaww | grep "$ledir/$MYSQLD\>" | grep -v "grep" | grep "pid-file=$pid_file" | sed -n '$p'` for T in $PROC do break done # echo "TEST $I - $T **" if kill -9 $T then log_error "$MYSQLD process hanging, pid $T - killed" else break fi I=`expr $I + 1` done fi if [ -n "$wsrep_restart" ] then if [ $wsrep_restart -le $max_wsrep_restarts ] then wsrep_restart=`expr $wsrep_restart + 1` log_notice "WSREP: sleeping 15 seconds before restart" sleep 15 else log_notice "WSREP: not restarting wsrep node automatically" break fi fi log_notice "mysqld restarted" if test -n "$crash_script" then crash_script_output=`$crash_script 2>&1` log_error "$crash_script_output" fi done log_notice "mysqld from pid file $pid_file ended"